Skip to main content
POST
/
sse
/
prices
Subscribe to multiple assets streaming
curl --request POST \
  --url https://streaming.dexpaprika.com/sse/prices \
  --header 'Content-Type: application/json' \
  --data '
[
  {
    "chain": "ethereum",
    "address": "0x...",
    "method": "token_price",
    "filter": {}
  }
]
'
{
  "address": "<string>",
  "chain": "<string>",
  "price": "<string>",
  "timestamp": "<string>",
  "timestamp_price": "<string>",
  "token_price": "<string>"
}

Documentation Index

Fetch the complete documentation index at: https://docs.dexpaprika.com/llms.txt

Use this file to discover all available pages before exploring further.

Query Parameters

limit
integer

Maximum number of messages to receive before closing the connection

Required range: x >= 1

Body

application/json
chain
string
required
Example:

"ethereum"

address
string
required
Example:

"0x..."

method
enum<string>
required

t_p is deprecated and will be removed in the future.

Available options:
token_price,
t_p
filter
object

Response

200 - text/event-stream

SSE connection established

Payload for token_price event

address
string

Asset address

chain
string

Chain name

price
string

Current price in USD

timestamp
string

Current timestamp

timestamp_price
string

Timestamp of the price data

token_price
string

Alias for timestamp_price